Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs
Class Capability

    java.lang.Object
      org.apache.commons.vfs.Capability

public final class Capability
extends Object

An enumerated type representing the capabilities of files and file systems.

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch

Field Summary
`static Capability` | `APPEND_CONTENT` File content can be appended.
`static Capability` | `ATTRIBUTES` File attributes are supported.
`static Capability` | `COMPRESS` A compressed filesystem is a filesystem which use compression.
`static Capability` | `CREATE` Files can be created.
`static Capability` | `DELETE` Files can be deleted.
`static Capability` | `DISPATCHER` The provider itself do not provide a filesystem.
`static Capability` | `FS_ATTRIBUTES` File system attributes are supported.
`static Capability` | `GET_LAST_MODIFIED` File get last-modified time is supported.
`static Capability` | `GET_TYPE` The file type can be determined.
`static Capability` | `JUNCTIONS` Junctions are supported.
`static Capability` | `LAST_MODIFIED` File last-modified time is supported.
`static Capability` | `LIST_CHILDREN` Children of files can be listed.
`static Capability` | `MANIFEST_ATTRIBUTES` The set of attributes defined by the Jar manifest specification are supported.
`static Capability` | `RANDOM_ACCESS_READ` File content can be read in random mode.
`static Capability` | `RANDOM_ACCESS_WRITE` File content can be written in random mode.
`static Capability` | `READ_CONTENT` File content can be read.
`static Capability` | `RENAME` Files can be renamed.
`static Capability` | `SET_LAST_MODIFIED_FILE` File set last-modified time is supported.
`static Capability` | `SET_LAST_MODIFIED_FOLDER` folder set last-modified time is supported.
`static Capability` | `SIGNING` File content signing is supported.
`static Capability` | `URI` URI are supported.
`static Capability` | `VIRTUAL` A virtual filesystem can be an archive like tar or zip.
`static Capability` | `WRITE_CONTENT` File content can be written.

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### READ_CONTENT

    public static final Capability READ_CONTENT

  File content can be read.

### WRITE_CONTENT

    public static final Capability WRITE_CONTENT

  File content can be written.

### RANDOM_ACCESS_READ

    public static final Capability RANDOM_ACCESS_READ

  File content can be read in random mode.

### RANDOM_ACCESS_WRITE

    public static final Capability RANDOM_ACCESS_WRITE

  File content can be written in random mode.

### APPEND_CONTENT

    public static final Capability APPEND_CONTENT

  File content can be appended.

### ATTRIBUTES

    public static final Capability ATTRIBUTES

  File attributes are supported.

### LAST_MODIFIED

    public static final Capability LAST_MODIFIED

  File last-modified time is supported.

### GET_LAST_MODIFIED

    public static final Capability GET_LAST_MODIFIED

  File get last-modified time is supported.

### SET_LAST_MODIFIED_FILE

    public static final Capability SET_LAST_MODIFIED_FILE

  File set last-modified time is supported.

### SET_LAST_MODIFIED_FOLDER

    public static final Capability SET_LAST_MODIFIED_FOLDER

  folder set last-modified time is supported.

### SIGNING

    public static final Capability SIGNING

  File content signing is supported.

### CREATE

    public static final Capability CREATE

  Files can be created.

### DELETE

    public static final Capability DELETE

  Files can be deleted.

### RENAME

    public static final Capability RENAME

  Files can be renamed.

### GET_TYPE

    public static final Capability GET_TYPE

  The file type can be determined.

### LIST_CHILDREN

    public static final Capability LIST_CHILDREN

  Children of files can be listed.

### URI

    public static final Capability URI

  URI are supported. Files without this capability use URI that do not globally and uniquely identify the file.

### FS_ATTRIBUTES

    public static final Capability FS_ATTRIBUTES

  File system attributes are supported.

### JUNCTIONS

    public static final Capability JUNCTIONS

  Junctions are supported.

### MANIFEST_ATTRIBUTES

    public static final Capability MANIFEST_ATTRIBUTES

  The set of attributes defined by the Jar manifest specification are supported. The attributes aren't necessarily stored in a manifest file.

### DISPATCHER

    public static final Capability DISPATCHER

  The provider itself do not provide a filesystem. It simply resolves a full name and dispatches the request back to the filesystemmanager.
  A provider with this capability cant tell much about the capabilities about the finally used filesystem in advance.

### COMPRESS

    public static final Capability COMPRESS

  A compressed filesystem is a filesystem which use compression.

### VIRTUAL

    public static final Capability VIRTUAL

  A virtual filesystem can be an archive like tar or zip.

Method Detail

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.